IMG="backend-flask"
CNT="backend_flask"

clean:
	- docker rm -f $(CNT)

run: clean build
	docker run -d --net host --name $(CNT) $(IMG)
	docker logs -f $(CNT)

build: build-cjvt-python-env
	# docker build . -f ../../Dockerfile-backend-flask -t $(IMG)
	cd ../..; docker build . -f Dockerfile-backend-flask -t $(IMG)

build-cjvt-python-env:
	cd ../../dockerfiles/python-env; $(MAKE) build
